[ALSA-2021:0538] Moderate: nss security and bug fix update
Type:
security
Severity:
moderate
Release date:
2021-02-16
Description:
Network Security Services (NSS) is a set of libraries designed to support the cross-platform development of security-enabled client and server applications. Security Fix(es): * nss: Side channel attack on ECDSA signature generation (CVE-2020-6829) * nss: P-384 and P-521 implementation uses a side-channel vulnerable modular inversion function (CVE-2020-12400) * nss: CHACHA20-POLY1305 decryption with undersized tag leads to out-of-bounds read (CVE-2020-12403) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Bug Fix(es): * Support key wrap/unwrap with RSA-OAEP (BZ#1896431) * 1536bit group from RFC3526 is allowed in FIPS mode when in policy DH-MIN is set to be lower than 1536 (BZ#1896432) * when NSS_SDB_USE_CACHE not set, after curl access https, dentry increase but never released - consider alternative algorithm for benchmarking ACCESS call in sdb_measureAccess [rhel-8] (BZ#1896933) * Policy should allow overriding library defaults (BZ#1898702) * KDF-self-tests-induced changes for nss in RHEL 8.4 (BZ#1898953) * nss: non-blocksize requests to IKEv1 KDF returns bogus output (BZ#1904408)
Updated packages:
  • nss-3.53.1-17.el8_3.i686.rpm
  • nss-3.53.1-17.el8_3.x86_64.rpm
  • nss-devel-3.53.1-17.el8_3.i686.rpm
  • nss-devel-3.53.1-17.el8_3.x86_64.rpm
  • nss-softokn-3.53.1-17.el8_3.i686.rpm
  • nss-softokn-3.53.1-17.el8_3.x86_64.rpm
  • nss-softokn-devel-3.53.1-17.el8_3.i686.rpm
  • nss-softokn-devel-3.53.1-17.el8_3.x86_64.rpm
  • nss-softokn-freebl-3.53.1-17.el8_3.i686.rpm
  • nss-softokn-freebl-3.53.1-17.el8_3.x86_64.rpm
  • nss-softokn-freebl-devel-3.53.1-17.el8_3.i686.rpm
  • nss-softokn-freebl-devel-3.53.1-17.el8_3.x86_64.rpm
  • nss-sysinit-3.53.1-17.el8_3.x86_64.rpm
  • nss-tools-3.53.1-17.el8_3.x86_64.rpm
  • nss-util-3.53.1-17.el8_3.i686.rpm
  • nss-util-3.53.1-17.el8_3.x86_64.rpm
  • nss-util-devel-3.53.1-17.el8_3.i686.rpm
  • nss-util-devel-3.53.1-17.el8_3.x86_64.rpm
Notes:
This page is generated automatically and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.